Subject: Re: Installation problem on windows 2000 server
From: jack <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 28 Mar 2006 18:22:25 -0800

Igor Peshansky wrote:
> On Tue, 28 Mar 2006, jack wrote:
> 
>> Larry Hall (Cygwin) wrote:
>>> jack wrote:
>>>> Hola,
>>>>
>>>> I'm trying to install cygwin on a windows 2000 terminal server
>>>> (remote administration mode).
>>>> [snip]
>>>> The install finishes fine with no errors, but when I go to double
>>>> click on the Cygwin icon, i see the black DOS box for a split
>>>> second, then its gone.
>>>>
>>>> Going in via cmd.exe and trying to launch anything does nothing:
>>>> [snip]
>>>> Any ideas?
>>> Sure.  Read over:
>>>> Problem reports:       http://cygwin.com/problems.html
>>> Pay particular attention to the part about *attaching* the output of
>>> cygcheck. You'll also want to look at the output of
>>> /var/log/setup.log*.  Look for any error messages at the end
>>> suggesting that any package didn't install properly. Look for scripts
>>> in /etc/postinstall/ without a .done extension.  If there are any,
>>> just rerun setup without selecting any new packages and then recheck.
>>> All the postinstall scripts should have run and been renamed *.done.
>>>
>> OK, there are no files in /etc/postinstall without a .done extension.
> 
> Larry's advice is good for the future, but the current version of setup
> always renames scripts to .done, even if they returned a non-zero exit
> code.  The only case in which the scripts would not be renamed in the
> current version is if you cancelled out of setup before the scripts got a
> chance to run.
> 
>> setup.log has the following that's repeated 17402 times:
>> io_stream_cygfile: fopen failed 2 No such file or directory
> 
> Those messages are harmless and can be ignored.  They come from the time
> you didn't have the setup installed packages database.  This is fixed in
> the latest setup snapshot (which is worth trying in any case).
> 
>> the setup.log is 1.4 megs:
>> http://www.qnorth.net/jack/setup.log
> 
> That's the accumulated log of all setup runs.  Can you please also post
> setup.log.full from the failed installation (it's overwritten every time
> you run setup).
> 
>> As far as the output of cygcheck goes, this i'm not clear on:
>> Not Found: bash
>>
>> yet:
>> C:\>dir cygwin\bin\bash.exe
>>  Volume in drive C has no label.
>>  Volume Serial Number is 5419-D3B7
>>
>>  Directory of C:\cygwin\bin
>>
>> 12/26/2005  07:12a             451,072 bash.exe
>>                1 File(s)        451,072 bytes
>>                0 Dir(s)   5,472,993,792 bytes free
>> C:\>
> 
> Since you don't have c:\cygwin\bin in your PATH, I wouldn't worry about
> the "not found" messages.  However, I believe it's already been suggested
> that cygcheck should prepend "c:\cygwin\bin" to the PATH before making all
> of these checks...
> 
>> here's the full output for 'cygcheck -s -v -r':
>> (also found here: http://www.qnorth.net/jack/cygcheck.out)
> 
> In the future, please *attach* the output of cygcheck, as it creates fewer
> false positives in archive searches.  If necessary, we can include the
> relevant bits from an attachment just as easily as we can from inline
> output.
> 
>> Output from C:\cygwin\bin\id.exe (nontsec)
>> UID: 400(jack)   GID: 401(mkpasswd)
>> 401(mkpasswd)
>>
>> Output from C:\cygwin\bin\id.exe (ntsec)
>> UID: 400(jack)   GID: 401(mkpasswd)
>> 401(mkpasswd)
> 
> Here's one problem.  Your postinstall scripts obviously haven't completed.
> Try reinstalling the "base-passwd" package using setup.  I would also
> reinstall the "bash" and "cygwin" packages, for good measure.
> 
> The rest of your cygcheck output looks ok.
> 
> You said that bash actually does nothing and simply returns to the
> prompt...  Do other applications work, e.g., if you type
> "c:\cygwin\bin\echo hi", does it print "hi"?  What does "cygcheck bash"
> print, when run from "c:\cygwin\bin"?
> 
> I wonder if your problem is caused by using the terminal server...  Is
> there any way you can get physical access to that machine, and try
> running the installed Cygwin programs from the console login?
> 	Igor

I tried attaching setup.log.full but the list's mail server sent it back 
(too big). You can find it here:
http://www.qnorth.net/jack/setup.log.full

I can try to re-install the base-passwd, bash, and cygwin packages 
again, but i've done a complete install around 6 times now and its 
always the same thing.

Good question regarding running things other then bash. Short answer is 
no, everything cygwin has installed acts the same way:

C:\>cygwin\bin\echo "are you alive?"

C:\>cygwin\bin\wget --help

C:\>cygwin\bin\time

C:\>

I was also curious if my problem was terminal server related. I do have 
  console access to this machine (though its down at my datacenter). I 
tried install vnc server and getting in that way. Same problems, even 
when doing a fresh install.

As for running "cygcheck bash":

C:\cygwin\bin>cygcheck.exe bash
Error: could not find bash

C:\cygwin\bin>cygcheck.exe bash.exe
Error: could not find bash.exe

C:\cygwin\bin>

I've tried manually adding c:\cygwin\bin to my PATH, verifying and 
trying again but it doesn't work. which makes sense being i'm trying to 
run utilities directly from within cygwin\bin.

Thanks for your post Igor, let me know if you have any other ideas...

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/